NativeLibrarySpec (Gradle API 8.11.1)

Package org.gradle.nativeplatform

## Interface NativeLibrarySpec

- All Superinterfaces:
    `ComponentSpec`, `GeneralComponentSpec`, `LibrarySpec`, `ModelElement`, `Named`, `NativeComponentSpec`, `PlatformAwareComponentSpec`, `SourceComponentSpec`, `TargetedNativeComponent`, `VariantComponent`, `VariantComponentSpec`

      @Incubating
      public interface NativeLibrarySpec
      extends LibrarySpec, NativeComponentSpec, TargetedNativeComponent

  Definition of a native library component that is to be built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NativeLibraryRequirement` | `getApi()` | Converts this library to a native library requirement that uses the api library linkage.
    `NativeLibraryRequirement` | `getShared()` | Converts this library to a native library requirement that uses the shared library variant.
    `NativeLibraryRequirement` | `getStatic()` | Converts this library to a native library requirement that uses the static library variant.

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeComponentSpec

      `getBaseName, setBaseName`

    - ### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

      `targetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

      `getSources`

    - ### Methods inherited from interface org.gradle.nativeplatform.TargetedNativeComponent

      `targetBuildTypes, targetFlavors`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`

- - ### Method Detail

    - #### getShared

          NativeLibraryRequirement getShared()

      Converts this library to a native library requirement that uses the shared library variant. This is the default.

    - #### getStatic

          NativeLibraryRequirement getStatic()

      Converts this library to a native library requirement that uses the static library variant.

    - #### getApi

          NativeLibraryRequirement getApi()

      Converts this library to a native library requirement that uses the api library linkage.